from osc4py3.as_eventloop import *
from osc4py3 import oscmethod as osm
import time
def handler(*args):
    print('recieved')
    print(args)

osc_startup()
osc_udp_server("0.0.0.0", 8000, "osc_server")
osc_method("/joint_angles", handler, argscheme=osm.OSCARG_MESSAGE)


while True:
    osc_process()
    time.sleep(0.01)
